arguments <- commandArgs(trailingOnly = T)
wd = arguments[1]

# Plot the nullset dataset to PDF
plot.new()
ns <- read.csv(paste(wd,"/tests/datasets/nullset/histories.csv", sep=''), header = TRUE)
case <- read.csv(paste(wd, "/tests/datasets/nullset/details.csv", sep=''), header = TRUE)
ns <- merge(ns, case, by="ID")
focus <- read.csv(paste(wd, "/tests/datasets/nullset/focus.csv", sep=''), header = TRUE) 
pdf(file=paste(wd, "nullset.pdf", sep=''), width=5.6, height=4.8)
plot(ns$x, ns$y, xlab="X", ylab="Y", pch=ifelse(ns$is_case, 19, 21), axes=FALSE)
axis(side = 1, at=seq(from = 0, to = 14, by = 2))
axis(side = 2, at=seq(from = 0, to = 14, by = 2))
box()
points(focus$x, focus$y, pch=22, bg='black')
title("Arrangement of null data set", cex.main=1.3, font.main=1)
dev.off()

# Plot the simple dataset to PDF
plot.new()
ns <- read.csv(paste(wd, "/tests/datasets/simple/histories.csv", sep=''), header = TRUE)
case <- read.csv(paste(wd, "/tests/datasets/simple/details.csv", sep=''), header = TRUE)
ns <- merge(ns, case, by="ID")
focus <- read.csv(paste(wd, "/tests/datasets/simple/focus.csv", sep=''), header = TRUE) 
pdf(file=paste(wd, "simple.pdf", sep=''), width=5.6, height=4.8)
color <- ifelse(ns$is_case, 19, 21)
plot(ns$x, ns$y, xlab="X", ylab="Y", asp=1, pch=color, axes=FALSE)
axis(side=1, at=seq(from = 0, to = 20, by = 2))
axis(side=2, at=seq(from = -6, to = 7, by = 2))
box()
points(focus$x, focus$y, pch=22, bg='black')
points(ns$x, ns$y, pch=color)
title("Arrangement of simple data set", cex.main=1.3, font.main=1)
dev.off()

# Plot the weights dataset to PDF
plot.new()
ns <- read.csv(paste(wd, "/tests/datasets/weights_strong/histories.csv", sep=''), header = TRUE)
case <- read.csv(paste(wd, "/tests/datasets/weights_strong/details.csv", sep=''), header = TRUE)
ns <- merge(ns, case, by="ID")
focus <- read.csv(paste(wd, "/tests/datasets/weights_strong/focus.csv", sep=''), header = TRUE) 
pdf(file=paste(wd, "weights.pdf", sep=''), width=5.6, height=4.8)
ns$is_heavy <- c(rep(1, 12), rep(0, 12))
ns$is_case <- c(rep(1, 6), rep(0, 6))
symbol <- ifelse(ns$is_heavy, 24, 21)
color <- ifelse(ns$is_case, 'black', 'white')
plot(ns$x, ns$y, xlab="X", ylab="Y", pch=symbol, asp=1, bg=color, axes=FALSE)
axis(side=1, at=seq(from = -2, to = 12, by = 2))
axis(side=2, at=seq(from = 0, to = 10, by = 2))
box()
points(focus$x, focus$y, pch=22, bg='black')
title("Arrangement of weighted data set", cex.main=1.3, font.main=1)
dev.off()
